%global momorel 4

Summary: DTS Coherent Acoustics decoder
Name: libdca
Version: 0.0.2
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.videolan.org/libdca.html
Source0: http://download.videolan.org/pub/videolan/libdca/%{version}/libdca-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Only a static lib, but two binaries too, so provide devel in the main
Provides: %{name}-devel = %{version}-%{release}
Provides: libdts = %{version}-%{release}
Provides: libdts-devel = %{version}-%{release}
Requires: pkgconfig

%description
Free library for decoding DTS Coherent Acoustics streams.

%prep
%setup -q -n libdts-%{version}


%build
# Force PIC as applications fail to recompile against the lib on x86_64 without
export CFLAGS="%{optflags} -fPIC"
%configure
%make


%install
%{__rm} -rf %{buildroot}
%makeinstall

# avidemux requires dts_internal.h
install -m 644 libdts/dts_internal.h %{buildroot}%{_includedir}/dts_internal.h

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc doc/libdts.txt
%{_bindir}/dtsdec
%{_bindir}/extract_dts
%{_includedir}/dts*.h
%{_libdir}/libdts.a
%{_libdir}/libdts_pic.a
%{_libdir}/pkgconfig/libdts.pc
%{_mandir}/man1/dtsdec.1*
%{_mandir}/man1/extract_dts.1*


%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.2-3m)
- %%NoSource -> NoSource

* Tue Apr 24 2007 Masayuki SANO <noasanoa@momonga-linux.org>
- (0.0.2-2m)
- install dts_internal.h (avidemux require it for dts support)

* Thu Apr 12 2007 Masayuki SANO <noasanoa@momonga-linux.org>
- (0.0.2-1m)
- import from freshrpms.net

* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 0.0.2-3
- Release bump to drop the disttag number in FC5 build.

* Fri Dec  9 2005 Matthias Saou <http://freshrpms.net/> 0.0.2-2
- Force -fPIC, as applications fail to recompile against the lib on x86_64
  without.

* Thu Aug 25 2005 Matthias Saou <http://freshrpms.net/> 0.0.2-1
- Initial RPM release.

